Loading...
Searching...
No Matches
BALL::DockResult::Compare_ Class Reference

`#include <BALL/DOCKING/COMMON/dockResult.h>`

## Public Member Functions

| Compare_ () throw ()
| ~Compare_ () throw ()
bool | operator() (const ConformationSet::Conformation &a, const ConformationSet::Conformation &b) const throw ()

## Detailed Description

Nested class in DockResult. This class is needed for the sorting of the vector of Conformations in addScoring(const String& name, const Options& options, const vector < ConformationSet::Conformation > & scores). The vector should be sorted by the score values.

Definition at line 260 of file dockResult.h.

## Constructor & Destructor Documentation

## Compare_()

BALL::DockResult::Compare_::Compare_ | ( |  | ) |
throw | ( | ) |  |  |

Default constructor

## ~Compare_()

BALL::DockResult::Compare_::~Compare_ | ( |  | ) |
throw | ( | ) |  |  |

Destructor

## Member Function Documentation

## operator()()

bool BALL::DockResult::Compare_::operator() | ( | const ConformationSet::Conformation & | a,
|  | const ConformationSet::Conformation & | b ) const
throw | ( | ) |  |  |

Operator ()